const assert = require('assert');
const utils = require('j7/utils');
const bcutils = require('j7/bcutils');
const bchelper = require('common/bchelper');
const basewrap = require('./basewrap');
const factory = require('./factory');

class FounderTag extends basewrap.BaseWrap {

  quality = 1;

  _init0 () {
    switch (this.rarity) {
    case 'Common':
      {
        this.quality = 1;
      }
      break;
    case 'Rare':
      {
        this.quality = 2;
      }
      break;
    case 'Legendary':
      {
        this.quality = 3;
      }
      break;
    default:
      {
        assert(false, 'unknow rarity');
      }
      break;
    }
    console.log(this);
  }

  getQuality() {
    return this.quality;
  }

}

module.exports = FounderTag;
