const controllers = {};

function add(name) {
  controllers[name] = require(`./${name}`);
  controllers[name].init();
}

async function init() {
  add('jwt');
  add('metamask_jwt');
  add('bcservice');
  add('erc20');
}

exports.init = init;
